<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">android</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html">AndroidSLESMediaPlayerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test_inherit__map" id="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test_coll__map" id="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a67ae3d8ffca0d9dd3b16b78e5d3c65b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html#a67ae3d8ffca0d9dd3b16b78e5d3c65b8">SetUp</a> () override</td></tr>
<tr class="separator:a67ae3d8ffca0d9dd3b16b78e5d3c65b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a173899bd791cd6ebb5f6e00917efcaee"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; std::stringstream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html#a173899bd791cd6ebb5f6e00917efcaee">createStream</a> ()</td></tr>
<tr class="separator:a173899bd791cd6ebb5f6e00917efcaee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9c8384b24e6d4a7a24e4f57b394bfd4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html#ab9c8384b24e6d4a7a24e4f57b394bfd4">TearDown</a> () override</td></tr>
<tr class="separator:ab9c8384b24e6d4a7a24e4f57b394bfd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a3a41f189c2d71c80737c9a4b7c02f201"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html">AndroidSLESMediaPlayer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html#a3a41f189c2d71c80737c9a4b7c02f201">m_player</a></td></tr>
<tr class="memdesc:a3a41f189c2d71c80737c9a4b7c02f201"><td class="mdescLeft">&#160;</td><td class="mdescRight">We need to instantiate a player in order to use AMedia* functionalitites.  <a href="#a3a41f189c2d71c80737c9a4b7c02f201">More...</a><br /></td></tr>
<tr class="separator:a3a41f189c2d71c80737c9a4b7c02f201"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b1347c016e3aee97b374ff4baf14aaa"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html">MockAttachmentReader</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html#a9b1347c016e3aee97b374ff4baf14aaa">m_reader</a></td></tr>
<tr class="memdesc:a9b1347c016e3aee97b374ff4baf14aaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock the attachment reader.  <a href="#a9b1347c016e3aee97b374ff4baf14aaa">More...</a><br /></td></tr>
<tr class="separator:a9b1347c016e3aee97b374ff4baf14aaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37169a75fb68ec6bb85ae6e9c67093c2"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_observer.html">MockObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html#a37169a75fb68ec6bb85ae6e9c67093c2">m_observer</a></td></tr>
<tr class="memdesc:a37169a75fb68ec6bb85ae6e9c67093c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock a media player observer.  <a href="#a37169a75fb68ec6bb85ae6e9c67093c2">More...</a><br /></td></tr>
<tr class="separator:a37169a75fb68ec6bb85ae6e9c67093c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab897d125644b459f9d41b324f91bdaa"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_engine.html">AndroidSLESEngine</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_media_player_test.html#aab897d125644b459f9d41b324f91bdaa">m_engine</a></td></tr>
<tr class="memdesc:aab897d125644b459f9d41b324f91bdaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keep a pointer to the engine.  <a href="#aab897d125644b459f9d41b324f91bdaa">More...</a><br /></td></tr>
<tr class="separator:aab897d125644b459f9d41b324f91bdaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test class for <code><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html">AndroidSLESMediaPlayer</a></code> </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a173899bd791cd6ebb5f6e00917efcaee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a173899bd791cd6ebb5f6e00917efcaee">&#9670;&nbsp;</a></span>createStream()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;std::stringstream&gt; alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest::createStream </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a67ae3d8ffca0d9dd3b16b78e5d3c65b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67ae3d8ffca0d9dd3b16b78e5d3c65b8">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9c8384b24e6d4a7a24e4f57b394bfd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9c8384b24e6d4a7a24e4f57b394bfd4">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aab897d125644b459f9d41b324f91bdaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab897d125644b459f9d41b324f91bdaa">&#9670;&nbsp;</a></span>m_engine</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_engine.html">AndroidSLESEngine</a>&gt; alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest::m_engine</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Keep a pointer to the engine. </p>

</div>
</div>
<a id="a37169a75fb68ec6bb85ae6e9c67093c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37169a75fb68ec6bb85ae6e9c67093c2">&#9670;&nbsp;</a></span>m_observer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_observer.html">MockObserver</a>&gt; alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest::m_observer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mock a media player observer. </p>

</div>
</div>
<a id="a3a41f189c2d71c80737c9a4b7c02f201"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a41f189c2d71c80737c9a4b7c02f201">&#9670;&nbsp;</a></span>m_player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html">AndroidSLESMediaPlayer</a>&gt; alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest::m_player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>We need to instantiate a player in order to use AMedia* functionalitites. </p>

</div>
</div>
<a id="a9b1347c016e3aee97b374ff4baf14aaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b1347c016e3aee97b374ff4baf14aaa">&#9670;&nbsp;</a></span>m_reader</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_attachment_reader.html">MockAttachmentReader</a>&gt; alexaClientSDK::mediaPlayer::android::test::AndroidSLESMediaPlayerTest::m_reader</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mock the attachment reader. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/test/<a class="el" href="_android_s_l_e_s_media_player_test_8cpp.html">AndroidSLESMediaPlayerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
